Bug 103649 - [IGT] prime_mmap_coherency subtests read/write, failed with assertion: ptr_cpu != MAP_FAILED
Summary: [IGT] prime_mmap_coherency subtests read/write, failed with assertion: ptr_cp...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-09 13:49 UTC by Hector Velazquez
Modified: 2018-03-02 16:11 UTC (History)
1 user (show)

See Also:
i915 platform: BDW, CFL, CNL, IVB, KBL, SKL, SNB
i915 features: display/Other


Attachments
otuput (101.85 KB, text/plain)
2017-11-09 13:49 UTC, Hector Velazquez
no flags Details
dmesg (151.17 KB, text/plain)
2017-11-09 13:50 UTC, Hector Velazquez
no flags Details
kernel (227.06 KB, text/plain)
2017-11-09 13:50 UTC, Hector Velazquez
no flags Details
CFL-Kern-Log (160.35 MB, text/plain)
2018-01-29 22:11 UTC, Ricardo Perez
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hector Velazquez 2017-11-09 13:49:44 UTC
Created attachment 135349 [details]
otuput
Comment 1 Hector Velazquez 2017-11-09 13:49:51 UTC
This tests are failing on CFL QA

igt@prime_mmap_coherency@read
igt@prime_mmap_coherency@write


====================================================
Output Sample (same output)
====================================================
**** DEBUG ****
(prime_mmap_coherency:1594) CRITICAL: Test assertion failure function test_read_flush, file prime_mmap_coherency.c:80:
(prime_mmap_coherency:1594) CRITICAL: Failed assertion: ptr_cpu != MAP_FAILED
(prime_mmap_coherency:1594) CRITICAL: Last errno: 9, Bad file descriptor
(prime_mmap_coherency:1594) igt-core-INFO: Stack trace:
(prime_mmap_coherency:1594) igt-core-INFO:   #0 [<unknown>+0x63a]
(prime_mmap_coherency:1594) igt-core-INFO:   #1 [<unknown>+0x63a]
(prime_mmap_coherency:1594) igt-core-INFO:   #2 [<unknown>+0x63a]
(prime_mmap_coherency:1594) igt-core-INFO:   #3 [<unknown>+0x63a]
(prime_mmap_coherency:1594) igt-core-INFO:   #4 [<unknown>+0x63a]
****  END  ****

This is my configuration:

======================================
	Graphic stack
======================================
Component: drm
    tag: libdrm-2.4.81-79-g61ff977
    commit: 61ff9779e37179ed5106c0e2452e16500127fb9e

Component: cairo
    tag: 1.15.6-63-g3322580
    commit: 3322580f0488ff77f53d86c2b4d3cf59e6dca4c7

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-466-g1fc4de1
    commit: 1fc4de1ca390adec9be8bd7cc0c36cab07465959

Component: piglit
    tag: piglit-v1
    commit: 65b4b197da9e4121155f2dca3fca913e677e7bf2
======================================
	     Software
======================================
kernel version              : 4.14.0-rc7-drm-intel-qa-ww44-commit-2f945d9+
hostname                    : CFL-2
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 95.4
bios release date           : 07/24/2017
ksc                         : 1.5
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
	Graphic drivers
======================================
libdrm                      : 2.4.87
cairo                       : 1.15.9
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-470-gc8d1ea2
intel-gpu-tools (commit)    : c8d1ea2

======================================
	     Hardware
======================================
motherboard model          : CoffeeLakeClientPlatform
motherboard id             : CoffeeLakeSUDIMMRVP
form factor                : Desktop
manufacturer               : IntelCorporation
cpu family                 : Other
cpu family id              : 6
cpu information            : Genuine Intel(R) CPU 0000 @ 3.60GHz
gpu card                   : Intel Corporation Device 3e92 (prog-if 00 [VGA controller])
memory ram                 : 15.58 GB
max memory ram             : 32 GB
cpu thread                 : 12
cpu core                   : 6
cpu model                  : 158
cpu stepping               : 10
socket                     : Other
hard drive                 : 111GiB (120GB)
current cd clock frequency : 337500 kHz
maximum cd clock frequency : 675000 kHz
displays connected         : eDP-1 DP-1

======================================
	     Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.1
guc fw loaded             : fetch SUCCESS, load SUCCESS
guc version wanted        : wanted 9.14, found 9.14
guc version found         : wanted 9.14, found 9.14

======================================
	     kernel parameters
======================================
quiet drm.debug=0x1e pci=pcie_bus_safe intel_iommu=igfx_off auto panic=1 nmi_watchdog=panic i915.alpha_support=1 i915.enable_guc_loading=2 i915.enable_guc_submission=2 resume=/dev/sda3 fastboot
Comment 2 Hector Velazquez 2017-11-09 13:50:22 UTC
Created attachment 135350 [details]
dmesg
Comment 3 Hector Velazquez 2017-11-09 13:50:38 UTC
Created attachment 135351 [details]
kernel
Comment 4 Armando Antonio 2017-11-30 19:51:24 UTC
This tests are failing on CNL

igt@prime_mmap_coherency@read
igt@prime_mmap_coherency@write

Configuration:
intel-gpu-tools (tag)       : intel-gpu-tools-1.20-169-gac6739b
kernel version              : 4.15.0-rc1-drm-intel-qa-ww48-commit-6d6c48b+
Comment 5 Ricardo Perez 2018-01-29 22:07:29 UTC
Using CoffeeLake S UDIMM RVP QA system

The following tests are failling:

igt@prime_mmap_coherency@read
igt@prime_mmap_coherency@write

Running:
IGT-Version: 1.21-g37bd27f (x86_64) (Linux: 4.15.0-rc9-drm-intel-qa-ww4-commit-59275f1+ x86_64)

--------------------------------------------------------------------------

for igt@prime_mmap_coherency@read:

**** DEBUG ****
(prime_mmap_coherency:12517) CRITICAL: Test assertion failure function test_read_flush, file prime_mmap_coherency.c:80:
(prime_mmap_coherency:12517) CRITICAL: Failed assertion: ptr_cpu != MAP_FAILED
(prime_mmap_coherency:12517) CRITICAL: Last errno: 9, Bad file descriptor
(prime_mmap_coherency:12517) igt-core-INFO: Stack trace:
(prime_mmap_coherency:12517) igt-core-INFO:   #0 [<unknown>+0xf3350061]
(prime_mmap_coherency:12517) igt-core-INFO:   #1 [<unknown>+0xf3350061]
(prime_mmap_coherency:12517) igt-core-INFO:   #2 [<unknown>+0xf3350061]
(prime_mmap_coherency:12517) igt-core-INFO:   #3 [<unknown>+0xf3350061]
(prime_mmap_cohere

--------------------------------------------------------------------------

for igt@prime_mmap_coherency@read

**** DEBUG ****
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) DEBUG: Test requirement passed: !(errno == EINVAL)
(prime_mmap_coherency:12789) CRITICAL: Test assertion failure function test_write_flush, file prime_mmap_coherency.c:158:
(prime_mmap_coherency:12789) CRITICAL: Failed assertion: ptr2_cpu != MAP_FAILED
(prime_mmap_coherency:12789) CRITICAL: Last errno: 9, Bad file descriptor
(prime_mmap_coherency:12789) igt-core-INFO: Stack trace:
(prime_mmap_coherency:12789) igt-core-INFO:   #0 [<unknown>+0x1cef4061]
(prime_mmap_coherency:12789) igt-core-INFO:   #1 [<unknown>+0x1cef4061]
(prime_mmap_coherency:12789) igt-core-INFO:   #2 [<unknown>+0x1cef4061]
(prime_mmap_coherency:12789) igt-core-INFO:   #3 [<unknown>+0x1cef4061]
(prime_mmap_coherency:12789) igt-core-INFO:   #4 [<unknown>+0x1cef4061]
****  END  ****
Comment 6 Ricardo Perez 2018-01-29 22:11:37 UTC
Created attachment 137042 [details]
CFL-Kern-Log

CoffeeLake S UDIMM RVP Kernel Log File
Comment 7 Jari Tahvanainen 2018-01-30 08:47:29 UTC
Dropping priority according the chat with Joonas and finding that failure has been there "all time" and is all around (SNB, SKL, KBL, IVB, CNL, CFL, BDW) and on all of these one has (in addition to data which is provided) the following:
(prime_mmap_coherency:7422) igt-debugfs-CRITICAL: Test assertion failure function igt_drop_caches_set, file igt_debugfs.c:894:
(prime_mmap_coherency:7422) igt-debugfs-CRITICAL: Failed assertion: igt_sysfs_printf(dir, "i915_gem_drop_caches", "0x%" PRIx64, val) > 0
(prime_mmap_coherency:7422) igt-debugfs-CRITICAL: Last errno: 24, Too many open files
Comment 8 Chris Wilson 2018-01-30 08:51:09 UTC
commit 098a4013434dafda61fa47bde08c29b36f436e9b (HEAD, upstream/master)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jan 29 14:26:24 2018 +0000

    igt/prime_mmap_coherency: Close dmabuf after use
    
    As we loop over the coherency tests many times, we need to close the
    dmabufs opened on every pass to prevent a fd leak and the test
    exploding when it hits the process limit.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=103649
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Reviewed-by: Antonio Argenziano <antonio.argenziano@intel.com>
Comment 9 Elizabeth 2018-03-02 16:11:31 UTC
These have two weeks without fail. Closing.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.